## qtbase-opensource-src-gles 5.15.10+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.15.10+dfsg-2) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-2 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:30:15 +0300

qtbase-opensource-src (5.15.10+dfsg-2) unstable; urgency=medium

  * Merge 5.15.8+dfsg-13 upload from unstable.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 09:54:13 +0300

qtbase-opensource-src-gles (5.15.10+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Jun 2023 22:46:16 +0300

qtbase-opensource-src (5.15.10+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - fix_recursion_crash.diff
    - mysql_field_readonly.diff
    - revert_wm_state.diff
    - recreate_xcb_window.diff
  * Bump ABI version to qtbase-abi-5-15-10.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 09 Jun 2023 11:08:39 +0300

qtbase-opensource-src (5.15.9+dfsg-3) experimental; urgency=medium

  * Merge 5.15.8+dfsg-12 upload from unstable, bringing CVE fixes.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jun 2023 10:46:52 +0300

qtbase-opensource-src-gles (5.15.9+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.9+dfsg-2 upload.
  * Bump qtbase build-dependencies to 5.15.9.
  * Drop Breaks/Replaces on pre-Bullseye package versions.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 May 2023 22:10:55 +0300

qtbase-opensource-src (5.15.9+dfsg-2) experimental; urgency=medium

  * Bump years for 3rdparty copyright.
  * Backport upstream patch to stop using O_PATH in OpenFile portal
    (LP: #1876237).
  * Add a patch to fix capitalization error in auto-generated qdbusmacros.h
    include (LP: #2016703).
  * Make qtbase5-private-dev suggest packages providing includes which are
    used by some of its headers (closes: #1034830).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 May 2023 18:27:14 +0300

qtbase-opensource-src (5.15.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop CVE-2022-25255.diff, included in the new release.
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-9.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Fix use of transitional packages in Build-Depends and Depends:
    - libfontconfig1-dev => libfontconfig-dev
    - libfreetype6-dev => libfreetype-dev
  * Update a11y_root.diff to the version which was applied upstream.
  * Drop qt5-flatpak-platformtheme transitional package.
  * Drop Breaks/Replaces for pre-Bullseye versions.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 Apr 2023 15:40:16 +0300

qtbase-opensource-src (5.15.8+dfsg-13) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patches to fix regression caused by CVE-2023-24607.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jul 2023 23:13:01 +0300

qtbase-opensource-src (5.15.8+dfsg-12) unstable; urgency=medium

  * Backport upstream patch to fix CVE-2023-34410 (closes: #1037210).
    - Note: this is the second patch related to that CVE; the first one
      is for Schannel code which is Windows-only, so we don't need it.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jun 2023 10:37:43 +0300

qtbase-opensource-src (5.15.8+dfsg-11) unstable; urgency=medium

  * Rename the patches for consistency and add DEP-3 headers.
  * Add a patch to fix buffer overflow in QDnsLookup (CVE-2023-33285).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 May 2023 13:45:05 +0300

qtbase-opensource-src (5.15.8+dfsg-10) unstable; urgency=medium

  * Add patches to fix CVE-2023-32762 and CVE-2023-32763.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 May 2023 11:31:55 -0300

qtbase-opensource-src (5.15.8+dfsg-9) unstable; urgency=medium

  * Backport upstream patch to fix laggy drag-and-drop with KWin. See:
    - https://bugreports.qt.io/browse/QTBUG-98048
    - https://lists.debian.org/debian-kde/2022/11/msg00019.html

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 May 2023 12:19:31 +0300

qtbase-opensource-src (5.15.8+dfsg-8) unstable; urgency=medium

  * Add back Breaks/Replaces for libqtcore4 (closes: #1035790).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 May 2023 14:12:14 +0300

qtbase-opensource-src (5.15.8+dfsg-7) unstable; urgency=medium

  * Update a11y_root.diff. This time the code waits for Qt loop to process the
    check (Closes: #1033995, #1034160, #1034271).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 12 Apr 2023 20:24:34 -0300

qtbase-opensource-src (5.15.8+dfsg-6) unstable; urgency=medium

  * Use the new, fixed version of a11y_root.diff from Samuel Thibault
    (again closes: #1033995).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 11 Apr 2023 14:25:22 +0300

qtbase-opensource-src (5.15.8+dfsg-5) unstable; urgency=medium

  * Revert the last upload. Unfortunately, it caused regressions
    (closes: #1034160, #1034169, #1034191).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 10 Apr 2023 23:58:16 +0300

qtbase-opensource-src (5.15.8+dfsg-4) unstable; urgency=medium

  * Add a patch to fix accessibility on XCB when running as root
    (closes: #1033995).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Apr 2023 21:23:36 +0300
