## qtbase-opensource-src-gles 5.15.13%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dh-exec,
-               firebird-dev [kfreebsd-any linux-any],
+               dpkg-dev (>= 1.22.5),
+               firebird-dev [linux-any],
                freetds-dev,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
@@ -21,7 +22,7 @@
                libdrm-dev [linux-any],
                libfontconfig-dev,
                libfreetype-dev,
-               libgbm-dev [linux-any kfreebsd-any],
+               libgbm-dev [linux-any],
                libgles-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
@@ -38,9 +39,9 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5a (>= 5.15.10+dfsg~),
-               libqt5dbus5 (>= 5.15.10+dfsg~),
-               libqt5network5 (>= 5.15.10+dfsg~),
+               libqt5core5t64 (>= 5.15.13+dfsg~),
+               libqt5dbus5t64 (>= 5.15.13+dfsg~),
+               libqt5network5t64 (>= 5.15.13+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
@@ -68,8 +69,8 @@
                libxkbcommon-x11-dev,
                libxrender-dev,
                libzstd-dev,
-               pkg-config,
                pkg-kde-tools,
+               pkgconf,
                publicsuffix,
                qt5-qmake-bin <cross>,
                unixodbc-dev,
@@ -81,7 +82,7 @@
 
 Package: libqt5gui5-gles
 Architecture: any
-Conflicts: libqt5gui5
+Conflicts: libqt5gui5, libqt5gui5t64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
@@ -104,16 +105,16 @@
 Section: libdevel
 Depends: libegl-dev,
          libgles-dev,
-         libqt5concurrent5 (>= ${source:Upstream-Version}),
-         libqt5core5a (>= ${source:Upstream-Version}),
-         libqt5dbus5 (>= ${source:Upstream-Version}),
+         libqt5concurrent5t64 (>= ${source:Upstream-Version}),
+         libqt5core5t64 (>= ${source:Upstream-Version}),
+         libqt5dbus5t64 (>= ${source:Upstream-Version}),
          libqt5gui5-gles (= ${binary:Version}),
-         libqt5network5 (>= ${source:Upstream-Version}),
-         libqt5printsupport5 (>= ${source:Upstream-Version}),
-         libqt5sql5 (>= ${source:Upstream-Version}),
-         libqt5test5 (>= ${source:Upstream-Version}),
-         libqt5widgets5 (>= ${source:Upstream-Version}),
-         libqt5xml5 (>= ${source:Upstream-Version}),
+         libqt5network5t64 (>= ${source:Upstream-Version}),
+         libqt5printsupport5t64 (>= ${source:Upstream-Version}),
+         libqt5sql5t64 (>= ${source:Upstream-Version}),
+         libqt5test5t64 (>= ${source:Upstream-Version}),
+         libqt5widgets5t64 (>= ${source:Upstream-Version}),
+         libqt5xml5t64 (>= ${source:Upstream-Version}),
          libvulkan-dev [linux-any],
          libxext-dev,
          qt5-qmake (>= ${source:Upstream-Version}),
