=== debian/changelog ===
qtbase-opensource-src-gles (5.15.13+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 23:20:09 +0300

qtbase-opensource-src-gles (5.15.13+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src-gles 5.15.10+dfsg-6 upload from unstable.
  * Merge qtbase-opensource-src 5.15.13+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Mar 2024 11:06:55 +0300

qtbase-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * Merge 5.15.10+dfsg-7.2 upload from unstable.
    - Acknowledge NMUs, thanks Benjamin Drung and Steve Langasek!
  * New upstream release.
  * Drop patches, included in the new release:
    - image_deletion_order.diff
    - qxcbwindow_set_geometry.diff
    - CVE-2023-24607.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-13.
  * Update debian/copyright.
  * Run wrap-and-sort.
  * Fix Lintian overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Mar 2024 14:24:14 +0300

qtbase-opensource-src (5.15.12+dfsg-3) experimental; urgency=medium

  * Merge 5.15.10+dfsg-7 upload from unstable.
  * Replace pkg-config build-dependency with pkgconf.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Feb 2024 19:39:14 +0300

qtbase-opensource-src (5.15.12+dfsg-2) experimental; urgency=medium

  * Merge 5.15.10+dfsg-6 upload from unstable.
  * Update debian/libqt5gui5.symbols for powerpc.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jan 2024 13:23:36 +0300

qtbase-opensource-src-gles (5.15.12+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.12+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 25 Dec 2023 11:41:01 +0300

qtbase-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop fix_alt_backtick.diff, included in the new release.
  * Bump ABI version to qtbase-abi-5-15-12.
  * Update debian/copyright for src/3rdparty/libpng.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 14:48:57 +0300

qtbase-opensource-src (5.15.11+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - openssl_set_options.diff
    - revert_startBlocking_removal.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-11.
  * Update debian/copyright.
  * Override two source-is-missing Lintian warnings.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 Nov 2023 18:38:23 +0300

qtbase-opensource-src-gles (5.15.10+dfsg-6) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-7.2 upload.
  * Update qtbase binary package names for 64-bit time_t transition.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2024 00:17:29 +0300

qtbase-opensource-src (5.15.10+dfsg-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix extraneous X-Time64-Compat declarations.  Closes: #1065154.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 09:03:16 +0000

qtbase-opensource-src (5.15.10+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062946

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 23:11:00 +0000

qtbase-opensource-src-gles (5.15.10+dfsg-5) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-7 upload.
    - Fixes CVE-2024-25580 (closes: #1064054).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 26 Feb 2024 11:26:43 +0300

qtbase-opensource-src (5.15.10+dfsg-7) unstable; urgency=medium

  * Backport upstream patch to fix potential buffer overflow when reading
    KTX images (CVE-2024-25580, closes: #1064053).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Feb 2024 15:11:37 +0300

qtbase-opensource-src-gles (5.15.10+dfsg-4) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-6 upload.
    - Fixes CVE-2023-51714 (closes: #1060695).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Feb 2024 21:44:36 +0300

qtbase-opensource-src (5.15.10+dfsg-6) unstable; urgency=medium

  * Backport upstream patches to fix incorrect integer overflow check in
    HPack (CVE-2023-51714, closes: #1060694).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jan 2024 19:53:52 +0300

qtbase-opensource-src-gles (5.15.10+dfsg-3) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.10+dfsg-5 upload.
    - Fixes CVE-2023-38197 (closes: #1041106).
    - Fixes FTBFS with libxkbcommon 1.6.0 (closes: #1054700).
    - Fixes FTBFS after successful build (closes: #1049198).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 Nov 2023 13:52:43 +0300

qtbase-opensource-src (5.15.10+dfsg-5) unstable; urgency=medium

  * Add a patch to support LoongArch (closes: #1054569). Thanks Dandan Zhang!
  * Add a debian/clean file (closes: #1048743).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Nov 2023 11:21:47 +0300

qtbase-opensource-src (5.15.10+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to fix build with libxkbcommon 1.6.0.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Oct 2023 14:07:10 +0300

qtbase-opensource-src (5.15.10+dfsg-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the patches gnukfreebsd.diff, and nonlinux_utime.diff, as they only
      apply changes to that OS
      - drop installed files added by them
    - drop the kfreebsd-any qualifiers from the firebird-dev, and libgbm-dev
      build dependencies
    - drop the kfreebsd-any qualifiers from binary packages
    - drop the kfreebsd-any qualifiers in install files
    - drop the kfreebsd qualifiers in symbols files
  * More changes to symbols files:
    - set a symbol as linux-any, as it is Linux-specific
    - drop mips, and powerpcspe qualifiers, as those architectures are long dead

