=== debian/changelog ===
qtbase-opensource-src-gles (5.15.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 14:41:28 +0300

qtbase-opensource-src-gles (5.15.15+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.15+dfsg-1 upload.
    - Adds a patch for CVE-2024-39936 (closes: #1077544).
  * Bump qtbase build-dependencies to 5.15.15.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 10 Sep 2024 12:52:21 +0300

qtbase-opensource-src (5.15.15+dfsg-1) experimental; urgency=medium

  * Merge 5.15.13+dfsg-4 upload from unstable.
  * New upstream release.
  * Drop patches, included in the new release:
    - CVE-2023-32763.diff
    - CVE-2023-34410.diff
    - CVE-2023-37369.diff
    - CVE-2023-38197.diff
  * Bump API version to qtbase-abi-5-15-15.
  * Update debian/copyright.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 30 Aug 2024 22:07:11 +0300

qtbase-opensource-src (5.15.14+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - CVE-2023-32762.diff
    - CVE-2023-33285.diff
    - sql_odbc_fix_unicode_check.diff
  * Rebase sql_odbc_more_unicode_checks.diff.
  * Populate ${libssl:Depends} properly for libqt5network5t64.
  * Update debian/copyright.
  * Bump ABI version to qtbase-abi-5-15-14.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 26 May 2024 17:32:51 +0300

qtbase-opensource-src (5.15.13+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to fix qfutureinterface.h for GCC 14
    (closes: #1075430).
  * Backport three upstream patches to improve D-Bus tray integration,
    in particular on non-X11 desktops (LP: #2059819).
  * Update symbols files for GCC 14.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jul 2024 15:43:37 +0300

qtbase-opensource-src (5.15.13+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to delay any communication until encrypted() can
    be responded to (CVE-2024-39936, closes: #1076293).
  * Populate ${libssl:Depends} properly for libqt5network5t64.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jul 2024 18:35:58 +0300

qtbase-opensource-src (5.15.13+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 10:53:43 +0300
