=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
@@ -39,9 +38,9 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5t64 (>= 5.15.13+dfsg~),
-               libqt5dbus5t64 (>= 5.15.13+dfsg~),
-               libqt5network5t64 (>= 5.15.13+dfsg~),
+               libqt5core5t64 (>= 5.15.15+dfsg~),
+               libqt5dbus5t64 (>= 5.15.15+dfsg~),
+               libqt5network5t64 (>= 5.15.15+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
@@ -75,7 +74,7 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
