=== debian/changelog ===
qtbase-opensource-src-gles (5.15.17+dfsg-2) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.15.17+dfsg-2 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:32:21 +0300

qtbase-opensource-src (5.15.17+dfsg-2) unstable; urgency=medium

  * Merge 5.15.15+dfsg-6 upload from unstable.
  * Update debian/libqt5gui5t64.symbols for sh4.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 22:45:42 +0300

qtbase-opensource-src-gles (5.15.17+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.15.17+dfsg-1 upload.
  * Bump qtbase build-dependencies to 5.15.17.
  * Add missing t64 suffix in debian/libqt5gui5-gles.lintian-overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 10 Jul 2025 15:01:47 +0300

qtbase-opensource-src (5.15.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Merge 5.15.15+dfsg-5 upload from unstable.
  * Drop patches, included in the new release:
    - CVE-2023-51714.diff
    - CVE-2024-25580.diff
    - gcc_14.diff
  * Refresh CVE-2024-39936.diff.
  * Bump ABI version to qtbase-abi-5-15-17.
  * Update debian/copyright.
  * Remove logic for Perl shebang rewriting, dh_perl now does that.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 May 2025 22:32:13 +0300

qtbase-opensource-src (5.15.16+dfsg-2) experimental; urgency=medium

  * Merge changes from 5.15.15+dfsg-3.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Feb 2025 07:46:08 +0100

qtbase-opensource-src (5.15.16+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop libxkbcommon_1.6.0.diff, included in the new release.
  * Update symbols files from buildds’ and current build logs.
    - Qt_5.x symbols are now defined only in libqt5core5t64.
  * Bump ABI version to qtbase-abi-5-15-16.
  * Exclude non-free util/update_public_suffix_list.sh from the tarball.
  * Update debian/copyright.
  * Remove unused package-name-doesnt-match-sonames Lintian overrides.
    - Lintian >= 2.117.1 does not complain about t64 package names.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 24 Jan 2025 22:26:02 +0300

qtbase-opensource-src (5.15.15+dfsg-6) unstable; urgency=medium

  * Backport upstream patch to fix assertion errors in data: URL parsing
    (CVE-2025-5455, closes: #1108475).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 29 Jun 2025 22:50:45 +0300

qtbase-opensource-src (5.15.15+dfsg-5) unstable; urgency=medium

  * Backport upstream patch to add null checks in table iface methods in
    linuxaccessibility/atspiadaptor.cpp (closes: #1081682).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Mar 2025 15:42:48 +0300

qtbase-opensource-src (5.15.15+dfsg-4) unstable; urgency=medium

  * Fix containsTLDEntry() crash when tldChunkCount >= 3 (closes: #1095423).
    - Thanks to Timo Röhling for help with debugging this!

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Feb 2025 19:24:33 +0300

qtbase-opensource-src (5.15.15+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Enable the Vulkan support on all the architectures (i.e. not only on
    Linux), as vulkan-loader is portable, and now available also on non-Linux
    architectures in Debian:
    - remove the linux-any limitation for the libvulkan-dev build and runtime
      dependency
    - remove the linux-any limitation for the vulkan-related symbols in
      libqt5gui5t64.symbols
    - remove the linux-any limitation for the vulkan-related files in install
      files

 -- Pino Toscano <pino@debian.org>  Fri, 07 Feb 2025 07:20:36 +0100

qtbase-opensource-src (5.15.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:40:08 +0300
