=== debian/control ===
--- 
+++ 
@@ -38,13 +38,13 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5t64 (>= 5.15.15+dfsg~),
-               libqt5dbus5t64 (>= 5.15.15+dfsg~),
-               libqt5network5t64 (>= 5.15.15+dfsg~),
+               libqt5core5t64 (>= 5.15.17+dfsg~),
+               libqt5dbus5t64 (>= 5.15.17+dfsg~),
+               libqt5network5t64 (>= 5.15.17+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
-               libvulkan-dev [linux-any],
+               libvulkan-dev,
                libx11-dev,
                libx11-xcb-dev,
                libxcb-icccm4-dev,
@@ -74,7 +74,7 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -114,7 +114,7 @@
          libqt5test5t64 (>= ${source:Upstream-Version}),
          libqt5widgets5t64 (>= ${source:Upstream-Version}),
          libqt5xml5t64 (>= ${source:Upstream-Version}),
-         libvulkan-dev [linux-any],
+         libvulkan-dev,
          libxext-dev,
          qt5-qmake (>= ${source:Upstream-Version}),
          qtbase5-dev-tools (>= ${source:Upstream-Version}),
